Exponential 5.x Kernel 7.5.40 Exponential New Stack (Symfony-based) Kernel — PHP Class Reference

Persistence/Legacy/Content/Language/Gateway.php
Go to the documentation of this file.
1 <?php
2
7 namespace eZ\Publish\Core\Persistence\Legacy\Content\Language;
8
9 use eZ\Publish\SPI\Persistence\Content\Language;
10
14 abstract class Gateway
15 {
23 abstract public function insertLanguage(Language $language);
24
30 abstract public function updateLanguage(Language $language);
31
39 abstract public function loadLanguageListData(array $ids): iterable;
40
48 abstract public function loadLanguageListDataByLanguageCode(array $languageCodes): iterable;
49
55 abstract public function loadAllLanguagesData();
56
62 abstract public function deleteLanguage($id);
63
71 abstract public function canDeleteLanguage($id);
72 }
eZ\Publish\Core\Persistence\Legacy\Content\Language\Gateway
Language Handler.
Definition: Persistence/Legacy/Content/Language/Gateway.php:15
eZ\Publish\Core\Persistence\Legacy\Content\Language\Gateway\updateLanguage
updateLanguage(Language $language)
Updates the data of the given $language.
eZ\Publish\Core\Persistence\Legacy\Content\Language\Gateway\deleteLanguage
deleteLanguage($id)
Deletes the language with $id.
eZ\Publish\Core\Persistence\Legacy\Content\Language\Gateway\loadLanguageListDataByLanguageCode
loadLanguageListDataByLanguageCode(array $languageCodes)
Loads data list for Languages by $languageCodes (eg: eng-GB).
eZ\Publish\Core\Persistence\Legacy\Content\Language\Gateway\loadAllLanguagesData
loadAllLanguagesData()
Loads the data for all languages.
eZ\Publish\Core\Persistence\Legacy\Content\Language\Gateway\canDeleteLanguage
canDeleteLanguage($id)
Check whether a language may be deleted.
eZ\Publish\Core\Persistence\Legacy\Content\Language\Gateway\loadLanguageListData
loadLanguageListData(array $ids)
Loads data list for the Language with $ids.
eZ\Publish\Core\Persistence\Legacy\Content\Language\Gateway\insertLanguage
insertLanguage(Language $language)
Inserts the given $language.
eZ\Publish\SPI\Persistence\Content\Language
Struct containing accessible properties on Language entities.
Definition: SPI/Persistence/Content/Language.php:15
eZ\Publish\Core\Persistence\Legacy\Content\Language
Definition: CachingHandler.php:7
eZ\Publish\SPI\Persistence\Content\Language
Definition: SPI/Persistence/Content/Language/CreateStruct.php:7
Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.